<?
require_once('include/global.php');
require_once("include/board_lib.php");
require_once("include/file.php");
//require_once('./conf.inc.php');


// check
	if (!is_numeric($_GET['ba_no']) || !is_numeric($_GET['b_no']) || !$_GET['tmpfile'] || !$_GET['file'])
		msg('올바른 URL로 접근하여 주십시오');


// 다운로드 권한 확인
	$ba = board_admin_info($_GET['ba_no']);		// array
	auth_limit($ba[ba_perm_down]);


// donwload count plus - 자신이 업로드한 파일이 아닐때만 증가함.
	$q = "UPDATE ".$TB['BOARD']." SET b_down=b_down+1 WHERE b_no='".$_GET['b_no']."' AND ba_no='".$_GET['ba_no']."' AND (m_no != '" . $AUTH[auth_m_no] . "' OR m_no=0)";
	db_query($q);


// db disconnect
	unset_db();


// download
		$upload_dir = $UPLOAD_DIR[BOARD_NEW].'/'.$_GET['ba_no'];
		$errorMsg = file_down(file_name_fix(basename_fix($_GET['tmpfile']), $_GET['b_no']), NULL, $upload_dir, NULL, $_GET['file']);
		if ($errorMsg)
		{
			errorlog("파일 다운로드가 실패하였습니다.\n=> " . $UPLOAD_ROOT . '/' . $upload_dir . '/' . $_GET['tmpfile'] . $errorMsg, 'FILE');
			msg("파일 다운로드가 실패하였습니다.\\n=> " . $errorMsg);
		}		// if()

// 다운로드를 위해 디버깅정보 생략.
//require_once('include/global_end.php');
?>